Bug 33277 - multipath md becomes unrunnable
multipath md becomes unrunnable
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-26 15:08 EST by Michael E Brown
Modified: 2007-04-18 12:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-28 06:57:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael E Brown 2001-03-26 15:08:28 EST
If the machine is rebooted while a multipath md device is degraded, the
raid code refuses to run the device at next boot.

Below is a copy of the kernel log.  Multipath device paths are (/dev/sdb1)
and (/dev/sdl1)

(read) sdb1's sb offset: 8539008 [events: 00000009]
(read) sdl1's sb offset: 8539008 [events: 00000009]
autorun ...
considering sdl1 ...
  adding sdl1 ...
  adding sdb1 ...
created md0
bind<sdb1,1>
bind<sdl1,2>
running: <sdl1><sdb1>
now!
sdl1's event counter: 00000009
sdb1's event counter: 00000009
md0: removing former faulty sdl1!
md: bug in file md.c, line 1460

	**********************************
	* <COMPLETE RAID STATE PRINTOUT> *
	**********************************
md0: <sdl1><sdb1> array superblock:
  SB: (V:0.90.0) ID:<1f3c30a7.d4a88444.5790f34b.6031148b> CT:3abf280e
     L-4 S08539008 ND:1 RD:1 md0 LO:0 CS:4096
     UT:3abf438b ST:0 AD:1 WD:1 FD:0 SD:0 CSUM:cad2d49c E:00000009
     D  0:  DISK<N:0,sdb1(8,17),R:0,S:6>
     D  1:  DISK<N:1,[dev 00:00](0,0),R:1,S:9>
     THIS:  DISK<N:0,sdb1(8,17),R:0,S:6>
 rdev sdl1: O:[dev 00:00], SZ:00000000 F:0 DN:-1 rdev superblock:
  SB: (V:0.90.0) ID:<1f3c30a7.d4a88444.5790f34b.6031148b> CT:3abf280e
     L-4 S08539008 ND:2 RD:1 md0 LO:0 CS:4096
     UT:3abf438b ST:0 AD:1 WD:1 FD:1 SD:0 CSUM:cad2d49c E:00000009
     D  0:  DISK<N:0,sdb1(8,17),R:0,S:6>
     D  1:  DISK<N:1,sdl1(8,177),R:1,S:1>
     THIS:  DISK<N:0,sdb1(8,17),R:0,S:6>
 rdev sdb1: O:[dev 00:00], SZ:00000000 F:0 DN:0 rdev superblock:
  SB: (V:0.90.0) ID:<1f3c30a7.d4a88444.5790f34b.6031148b> CT:3abf280e
     L-4 S08539008 ND:2 RD:1 md0 LO:0 CS:4096
     UT:3abf438b ST:0 AD:1 WD:1 FD:1 SD:0 CSUM:cad2d49c E:00000009
     D  0:  DISK<N:0,sdb1(8,17),R:0,S:6>
     D  1:  DISK<N:1,sdl1(8,177),R:1,S:1>
     THIS:  DISK<N:0,sdb1(8,17),R:0,S:6>
	**********************************

md: bug in file md.c, line 1635

	**********************************
	* <COMPLETE RAID STATE PRINTOUT> *
	**********************************
md0: <sdl1><sdb1> array superblock:
  SB: (V:0.90.0) ID:<1f3c30a7.d4a88444.5790f34b.6031148b> CT:3abf280e
     L-4 S08539008 ND:1 RD:1 md0 LO:0 CS:4096
     UT:3abf438b ST:0 AD:1 WD:1 FD:0 SD:0 CSUM:cad2d49c E:00000009
     D  0:  DISK<N:0,sdb1(8,17),R:0,S:6>
     D  1:  DISK<N:1,[dev 00:00](0,0),R:1,S:9>
     THIS:  DISK<N:0,sdb1(8,17),R:0,S:6>
 rdev sdl1: O:[dev 00:00], SZ:00000000 F:0 DN:-1 rdev superblock:
  SB: (V:0.90.0) ID:<1f3c30a7.d4a88444.5790f34b.6031148b> CT:3abf280e
     L-4 S08539008 ND:2 RD:1 md0 LO:0 CS:4096
     UT:3abf438b ST:0 AD:1 WD:1 FD:1 SD:0 CSUM:cad2d49c E:00000009
     D  0:  DISK<N:0,sdb1(8,17),R:0,S:6>
     D  1:  DISK<N:1,sdl1(8,177),R:1,S:1>
     THIS:  DISK<N:0,sdb1(8,17),R:0,S:6>
 rdev sdb1: O:[dev 00:00], SZ:00000000 F:0 DN:0 rdev superblock:
  SB: (V:0.90.0) ID:<1f3c30a7.d4a88444.5790f34b.6031148b> CT:3abf280e
     L-4 S08539008 ND:2 RD:1 md0 LO:0 CS:4096
     UT:3abf438b ST:0 AD:1 WD:1 FD:1 SD:0 CSUM:cad2d49c E:00000009
     D  0:  DISK<N:0,sdb1(8,17),R:0,S:6>
     D  1:  DISK<N:1,sdl1(8,177),R:1,S:1>
     THIS:  DISK<N:0,sdb1(8,17),R:0,S:6>
	**********************************

do_md_run() returned -22
md0 stopped.
unbind<sdl1,1>
export_rdev(sdl1)
unbind<sdb1,0>
export_rdev(sdb1)
... autorun DONE.
Comment 1 Ingo Molnar 2001-03-28 06:57:20 EST
Checked in the fixes for these bugs - please check the next kernel
build whether it fixes all your problems too.

Note You need to log in before you can comment on or make changes to this bug.